package com.template.model.seewo;

import java.util.*;
import com.seewo.open.sdk.OpenApiResult;
import com.seewo.open.sdk.HttpResponse;

/**
 * seewo-open API: queryByCondition
 * 根据条件分页查询老师信息
 *
 * @author auto create
 * @since 2.0.1 2023-12-25
 */
public class TeacherApiQueryByConditionResult extends OpenApiResult {

    public TeacherApiQueryByConditionResult(HttpResponse response) {
        super(response);
    }


    /**
     * 响应体，MimeType为 application/json
     */

    private JSONResponseBody responseBody;


    public JSONResponseBody getResponseBody() {
        return this.responseBody;
    }

    public void setResponseBody(JSONResponseBody responseBody) {
        this.responseBody = responseBody;
    }

    public static class JSONResponseBody {
        /**
         * 老师关联的班级和学科信息
         */
        private List<ClassSubjectDto> classSubjectDtoList;
        /**
         * 用户uid 对应原先用户表的resource id
         */
        private String uid;
        /**
         * 组织Uid
         */
        private String unitId;
        /**
         * 账号
         */
        private String username;
        /**
         * 昵称
         */
        private String nickName;
        /**
         * 真实姓名
         */
        private String realName;
        /**
         * 头像图片url
         */
        private String photoUrl;
        /**
         * 数据版本号，存储最新修改的时间戳(毫秒)
         */
        private Long version;
        /**
         * 手机号
         */
        private String phone;
        /**
         * 邮箱
         */
        private String email;
        /**
         * 注册的系统编码 对应原来的systemCode，统一使用appCode
         */
        private String appCode;
        /**
         * 省份id
         */
        private String provinceId;
        /**
         * 城市id
         */
        private String cityId;
        /**
         * 地址
         */
        private String address;
        /**
         * 1-男; 2-女
         */
        private Integer gender;
        /**
         * 微信uid
         */
        private String wechatUid;
        /**
         * 用户创建时间
         */
        private Long createTime;
        /**
         * 身份证号
         */
        private String idNumber;
        /**
         * 手机区号
         */
        private String phoneCountryCode;
        /**
         * 加入学校时间
         */
        private Long joinUnitTime;

        public List<ClassSubjectDto> getClassSubjectDtoList() {
            return this.classSubjectDtoList;
        }

        public void setClassSubjectDtoList(List<ClassSubjectDto> classSubjectDtoList) {
            this.classSubjectDtoList = classSubjectDtoList;
        }

        public String getUid() {
            return this.uid;
        }

        public void setUid(String uid) {
            this.uid = uid;
        }

        public String getUnitId() {
            return this.unitId;
        }

        public void setUnitId(String unitId) {
            this.unitId = unitId;
        }

        public String getUsername() {
            return this.username;
        }

        public void setUsername(String username) {
            this.username = username;
        }

        public String getNickName() {
            return this.nickName;
        }

        public void setNickName(String nickName) {
            this.nickName = nickName;
        }

        public String getRealName() {
            return this.realName;
        }

        public void setRealName(String realName) {
            this.realName = realName;
        }

        public String getPhotoUrl() {
            return this.photoUrl;
        }

        public void setPhotoUrl(String photoUrl) {
            this.photoUrl = photoUrl;
        }

        public Long getVersion() {
            return this.version;
        }

        public void setVersion(Long version) {
            this.version = version;
        }

        public String getPhone() {
            return this.phone;
        }

        public void setPhone(String phone) {
            this.phone = phone;
        }

        public String getEmail() {
            return this.email;
        }

        public void setEmail(String email) {
            this.email = email;
        }

        public String getAppCode() {
            return this.appCode;
        }

        public void setAppCode(String appCode) {
            this.appCode = appCode;
        }

        public String getProvinceId() {
            return this.provinceId;
        }

        public void setProvinceId(String provinceId) {
            this.provinceId = provinceId;
        }

        public String getCityId() {
            return this.cityId;
        }

        public void setCityId(String cityId) {
            this.cityId = cityId;
        }

        public String getAddress() {
            return this.address;
        }

        public void setAddress(String address) {
            this.address = address;
        }

        public Integer getGender() {
            return this.gender;
        }

        public void setGender(Integer gender) {
            this.gender = gender;
        }

        public String getWechatUid() {
            return this.wechatUid;
        }

        public void setWechatUid(String wechatUid) {
            this.wechatUid = wechatUid;
        }

        public Long getCreateTime() {
            return this.createTime;
        }

        public void setCreateTime(Long createTime) {
            this.createTime = createTime;
        }

        public String getIdNumber() {
            return this.idNumber;
        }

        public void setIdNumber(String idNumber) {
            this.idNumber = idNumber;
        }

        public String getPhoneCountryCode() {
            return this.phoneCountryCode;
        }

        public void setPhoneCountryCode(String phoneCountryCode) {
            this.phoneCountryCode = phoneCountryCode;
        }

        public Long getJoinUnitTime() {
            return this.joinUnitTime;
        }

        public void setJoinUnitTime(Long joinUnitTime) {
            this.joinUnitTime = joinUnitTime;
        }

    }

    public static class ClassSubjectDto {
        /**
         * 班级ID
         */
        private String classId;
        /**
         * 学科编码
         */
        private String subjectCode;
        /**
         * 组织ID
         */
        private String unitId;

        public String getClassId() {
            return this.classId;
        }

        public void setClassId(String classId) {
            this.classId = classId;
        }

        public String getSubjectCode() {
            return this.subjectCode;
        }

        public void setSubjectCode(String subjectCode) {
            this.subjectCode = subjectCode;
        }

        public String getUnitId() {
            return this.unitId;
        }

        public void setUnitId(String unitId) {
            this.unitId = unitId;
        }

    }


}

